Auth
Export the current user's account data
POST
/auth/account/exportAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/auth/account/export" \ -H "Content-Type: application/json" \ -d '{ "current_password": "string" }'{ "$schema": "https://example.com/api/v1/schemas/AccountExport.json", "api_tokens": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "last_used_at": "2019-08-24T14:15:22Z", "name": "string", "revoked_at": "2019-08-24T14:15:22Z", "scope": "string", "token_prefix": "string", "workspace_id": "string" } ], "format_version": "string", "generated_at": "2019-08-24T14:15:22Z", "media": [ { "alt_text": "string", "created_at": "2019-08-24T14:15:22Z", "duration_ms": 0, "height": 0, "id": "string", "mime_type": "string", "original_filename": "string", "size": 0, "width": 0, "workspace_id": "string" } ], "organizations": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "name": "string", "role": "string" } ], "posts": [ { "content": "string", "created_at": "2019-08-24T14:15:22Z", "id": "string", "publication_id": "string", "published_at": "2019-08-24T14:15:22Z", "scheduled_at": "2019-08-24T14:15:22Z", "status": "string", "workspace_id": "string" } ], "publication_authorizations": [ { "action": "string", "actor_client_id": "string", "actor_client_name": "string", "actor_origin": "string", "batch_id": "string", "confirmed_at": "2019-08-24T14:15:22Z", "fingerprints_recorded": true, "id": "string", "policy_mode": "string", "publication_id": "string", "publication_revision": 0, "rendition_id": "string", "scheduled_at": "2019-08-24T14:15:22Z", "session_identity_stored": true, "social_account_id": "string", "target_key": "string", "token_identity_stored": true } ], "publications": [ { "content_profile": "string", "created_at": "2019-08-24T14:15:22Z", "id": "string", "scheduled_at": "2019-08-24T14:15:22Z", "source_text": "string", "source_url": "string", "status": "string", "title": "string", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string" } ], "shared_workspace_content_excluded": true, "social_accounts": [ { "account_id": "string", "account_username": "string", "created_at": "2019-08-24T14:15:22Z", "granted_scopes": "string", "id": "string", "instance_url": "string", "is_active": true, "platform": "string", "workspace_id": "string" } ], "user": { "avatar_url": "string", "created_at": "2019-08-24T14:15:22Z", "display_name": "string", "email": "string", "id": "string", "is_admin": true, "legal_accepted_at": "2019-08-24T14:15:22Z", "privacy_version": "string", "terms_version": "string" }, "workspaces": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "name": "string", "organization_id": "string", "role": "string", "timezone": "string" } ]}